org.apache.ignite.internal.processors.datastreamer

## Class DataStreamerImpl.IsolatedUpdater

- java.lang.Object
- - org.apache.ignite.internal.processors.datastreamer.DataStreamerImpl.IsolatedUpdater

All Implemented Interfaces:
  Serializable, DataStreamerCacheUpdaters.InternalUpdater, StreamReceiver<KeyCacheObject,CacheObject>

Enclosing class:
  DataStreamerImpl<K,V>

    protected static class DataStreamerImpl.IsolatedUpdater
    extends Object
    implements StreamReceiver<KeyCacheObject,CacheObject>, DataStreamerCacheUpdaters.InternalUpdater

Isolated receiver which only loads entry initial value.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `DataStreamerImpl.IsolatedUpdater()`

### Method Summary

Methods
`void` `receive(IgniteCache<KeyCacheObject,CacheObject> cache, Collection<Map.Entry<KeyCacheObject,CacheObject>> entries)` Updates cache with batch of entries.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataStreamerImpl.IsolatedUpdater

    protected DataStreamerImpl.IsolatedUpdater()

### Method Detail

#### receive

    public void receive(IgniteCache<KeyCacheObject,CacheObject> cache,
               Collection<Map.Entry<KeyCacheObject,CacheObject>> entries)

Updates cache with batch of entries.

Specified by:
  `receive` in interface `StreamReceiver<KeyCacheObject,CacheObject>`
Parameters:
  `cache` - Cache.
  `entries` - Collection of entries.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017